[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#565873: okular should add an application/x-pdf mailcap entry

Package: okular
Version: 4:4.3.4-1+b1
Severity: minor

Okular adds an application/pdf entry to /etc/mailcap, but it should also
add an application/x-pdf entry. Evince and xpdf do this.

I think this would allow okular to be the default selection in
iceweasel's "what do you want to do with this file?" dialog. At least
for me, adding the x-pdf entry to my ~/.mailcap does this. But
regardless, if evince and xpdf are doing it, okular probably should be

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages okular depends on:
ii  kdebase-runtime         4:4.3.4-2        runtime components from the offici
ii  kdelibs5                4:4.3.4-1        core libraries for all KDE 4 appli
ii  libc6                   2.10.2-2         GNU C Library: Shared libraries
ii  libfreetype6            2.3.11-1         FreeType 2 font engine, shared lib
ii  libjpeg62               6b-15            The Independent JPEG Group's JPEG 
ii  libokularcore1          4:4.3.4-1+b1     libraries for the Okular document 
ii  libphonon4              4:4.5.3-4        Qt 4 Phonon module
ii  libpoppler-qt4-3        0.12.2-2         PDF rendering library (Qt 4 based 
ii  libqca2                 2.0.2-1          libraries for the Qt Cryptographic
ii  libqimageblitz4         1:0.0.4-4        QImageBlitz image effects library
ii  libqt4-dbus             4:4.5.3-4        Qt 4 D-Bus module
ii  libqt4-qt3support       4:4.5.3-4        Qt 3 compatibility library for Qt 
ii  libqt4-svg              4:4.5.3-4        Qt 4 SVG module
ii  libqt4-xml              4:4.5.3-4        Qt 4 XML module
ii  libqtcore4              4:4.5.3-4        Qt 4 core module
ii  libqtgui4               4:4.5.3-4        Qt 4 GUI module
ii  libspectre1             0.2.2.ds-3       Library for rendering Postscript d
ii  libstdc++6              4.4.2-8          The GNU Standard C++ Library v3
ii  phonon                  4:4.5.3-4        Qt 4 Phonon module metapackage
ii  zlib1g                  1: compression library - runtime

okular recommends no packages.

Versions of packages okular suggests:
ii  ghostscript               8.70~dfsg-2+b1 The GPL Ghostscript PostScript/PDF
pn  okular-extra-backends     <none>         (no description available)
pn  poppler-data              <none>         (no description available)
ii  texlive-base-bin          2007.dfsg.2-8  TeX Live: Essential binaries
ii  unrar                     1:3.8.5-1      Unarchiver for .rar files (non-fre

-- no debconf information

Reply to: